; PORETN.REC	Purchase Order returns record map.
;=======================================================================;
; Copyright 1999 by TAH Software Systems (TAH), Oklahoma City, Oklahoma ;
;									;
;	TAH provides this software under a license and may only be	;
;	used in accordance with the terms and conditions of such	;
;	license and with the inclusion of the above Copyright notice.	;
;=======================================================================;
;	Record size:	184
;	Primary key:	1.11	company,return order,lineno
;=======================================================================;
record	poretn
	por_key		,a11			; Primary key
	  por_comp	,a2	@por_key	; Company code
	  por_return	,d6	@por_key+2	; Return order
	  por_lineno	,d2	@por_key+8	; Line number
	  por_linetype	,a1	@pol_key+10	; Line type
						;   I - stock item
						;   N - non stock item
						;   R - remarks
	por_vend	,d8			; Vendor Id
	por_shipid	,d8			; Ship to ID
	por_shipname	,a30			; Ship to name
	por_shipaddr1	,a30			; Ship to address 1
	por_shipaddr2	,a30			; Ship to address 2
	por_shipcity	,a20			; Ship to city
	por_shipstate	,a2			; Ship to state
	por_shipzip	,a10			; Ship to zip code
	por_rma		,a20			; Return authorization
	por_retdate	,d8			; Return date              (YMD)
	por_viacode	,a3			; Ship via
	por_fobc	,a1			; FOB
						;  O - origin
						;  D - destination
	por_colppd	,a1			; Collect/Prepaid          (C/P)
	por_status	,a1			; Status
						;   O - open
						;   C - closed
						;   X - cancelled
	por_flag1	,a1			; Flag - P/O printed
record	,X
			,a11			; Record key
	por_order	,d6			; Original order number
	por_recdate	,d8			; Date received            (YMD)
	  por_recyr	,d4	@por_recdate
	  por_recmo	,d2	@por_recdate+4
	por_linetype	,a1			; Line type
						;   I - stock item
						;   N - non stock item
	por_orddate	,d8			; Order date               (YMD)
	por_locncode	,a3			; Location
	por_descr	,a30			; Description
	por_recqty	,d9.3			; Quantity received        (6.3)
	por_retqty	,d9.3			; Quantity returned        (6.3)
	por_buomcode	,a3			; Buy unit of measure
	por_ucost	,d9.3			; Unit cost                (6.3)
	por_discpct	,d4.2			; Discount %               (2.2)
	por_vendpn	,a24			; Vendor's item Id
	por_pfactor	,d6			; Price/cost factor        (6.0)
	por_weight	,d6.2			; Unit weight              (4.2)
	por_cubes	,d4.2			; Unit cubes               (2.2)
	por_fromin	,a1			; From inventory           (Y/N)
	por_function	,a1			; Return function
						;  C - credit
						;  F - fix/return
						;  R - replace
	por_reason	,a1			; Reason for return
						;  D - damaged
						;  Q - quality deficient
						;  N - not needed
						;  ?
			,a40			; unused
record	,X
			,a14
	por_extdescr	,[2]a60			; Extended description
			,a52			; unused
